Subject: bug#67174: 30.0.50; [PATCH] What about a vectorized Gnus mode-line logo?

From: Manuel Giraud <[email-masked]>
Date: Mon, 20 Nov 2023 10:23:27 +0100

Eric Abrahamsen <[email-masked]> writes:

[...]

> Hmm, I couldn't find an explicit statement of this in the manual, but it
> looks to me that, since we're using the 'display text property, the
> :scale property will already be relative to the text that _would have
> been displayed there_. IOW, we're already scaled to the text. The text
> property is applied to the "^Gnus:" part of a string, so 5 characters,
> and that's our base.

I don't know how it works for you but for me the pixmap version is
always the same size whatever the font size I'm using.

> Anyway, if you're concerned that the icon might bulge out the mode line
> or something, I don't think that will happen.

Yes, I have tested with really tiny font and the icon (pixmap or SVG)
never bulge.  So all in all, I think that this patch could go in as is.
-- 
Manuel Giraud